### GET /api/v2/configurations/{name} Source: https://cloud.ibm.com/apidocs/secrets-manager/secrets-manager-v2.json Get a configuration by specifying its name. A successful request returns the details of your configuration. ```markdown ### Responses #### 200 - The configuration was successfully retrieved. **Configuration** - **config_type** (string (public_cert_configuration_dns_cloud_internet_services|public_cert_configuration_dns_classic_infrastructure|public_cert_configuration_ca_lets_encrypt|private_cert_configuration_root_ca|private_cert_configuration_intermediate_ca|private_cert_configuration_template|iam_credentials_configuration|custom_credentials_configuration)) (required): The configuration type. Can be one of: iam_credentials_configuration, public_cert_configuration_ca_lets_encrypt, public_cert_configuration_dns_classic_infrastructure, public_cert_configuration_dns_cloud_internet_services, private_cert_configuration_root_ca, private_cert_configuration_intermediate_ca, private_cert_configuration_template, custom_credentials_configuration ("public_cert_configuration_dns_cloud_internet_services"|"public_cert_configuration_dns_classic_infrastructure"|"public_cert_configuration_ca_lets_encrypt"|"private_cert_configuration_root_ca"|"private_cert_configuration_intermediate_ca"|"private_cert_configuration_template"|"iam_credentials_configuration"|"custom_credentials_configuration") - **name** (string) (required): The unique name of your configuration. (example: "my-secret-engine-config") - **secret_type** (string (arbitrary|iam_credentials|imported_cert|kv|private_cert|public_cert|service_credentials|username_password|custom_credentials)) (required): The secret type. Supported types are arbitrary, imported_cert, public_cert, private_cert, iam_credentials, service_credentials, kv, and username_password. ("arbitrary"|"iam_credentials"|"imported_cert"|"kv"|"private_cert"|"public_cert"|"service_credentials"|"username_password"|"custom_credentials") - **created_by** (string) (required): The unique identifier that is associated with the entity that created the secret. (example: "iam-ServiceId-e4a2f0a4-3c76-4bef-b1f2-fbeae11c0f21") - **created_at** (string (date-time)) (required): The date when the resource was created. The date format follows `RFC 3339`. (example: "2022-04-12T23:20:50.52Z") - **updated_at** (string (date-time)) (required): The date when a resource was modified. The date format follows `RFC 3339`. (example: "2022-04-12T23:20:50.52Z") - **lets_encrypt_environment** (string (production|staging)) (required): The configuration of the Let's Encrypt CA environment. ("production"|"staging") - **lets_encrypt_preferred_chain** (string): This field supports only the chains that Let's Encrypt provides. Keep empty to use the default or supply a valid Let's Encrypt-provided value. For a list of supported chains, see: https://letsencrypt.org/certificates/. - **lets_encrypt_private_key** (string) (required): The PEM-encoded private key of your Let's Encrypt account. The data must be formatted on a single line with embedded newline characters. #### 300 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 400 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 401 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 402 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 403 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 404 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 500 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 502 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 503 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. ### Example Usage ```bash curl -X GET "https://{instance_id}.{region}.secrets-manager.appdomain.cloud/api/v2/configurations/{name}" ``` ``` -------------------------------- ### GET /api/v2/configurations Source: https://cloud.ibm.com/apidocs/secrets-manager/secrets-manager-v2.json List the configurations that are available in your Secrets Manager instance. ```markdown ### Parameters - **offset** (integer (int32), query, optional): The number of configurations to skip. By specifying `offset`, you retrieve a subset of items that starts with the `offset` value. Use `offset` with `limit` to page through your available resources. **Usage:** If you have 100 configurations in your instance, and you want to retrieve configurations 26 through 50, use `..?offset=25&limit=25`. - **limit** (integer (int32), query, optional): The number of configurations to retrieve. By default, list operations return the first 200 items. To retrieve a different set of items, use `limit` with `offset` to page through your available resources. Maximum limit allowed is 1000 secrets. **Usage:** If you want to retrieve only the first 25 configurations in your instance, use `..?limit=25`. - **sort** (string, query, optional): Sort a collection of configurations by the specified field in ascending order. To sort in descending order use the `-` character **Available values:** config_type | secret_type | name **Usage:** To sort a list of configurations by their creation date, use `../configurations?sort=config_type`. - **search** (string, query, optional): Obtain a collection of configurations that contain the specified string in one or more of the fields: `name`, `config_type`, `secret_type`. **Usage:** If you want to list only the configurations that contain the string `text`, use `../configurations?search=text`. - **secret_types** (array (SecretTypeConfigurationFilterParam), query, optional): Filter configurations by secret types, iam_credentials, public_cert or private_cert. You can apply multiple filters by using a comma-separated list of secret types. **Usage:** To retrieve a list of configurations that are associated with all secret types, use `..?secret_types=iam_credentials,public_cert,private_cert,custom_credentials`. ### Responses #### 200 - The list of configurations was successfully retrieved. **ConfigurationMetadataPaginatedCollection** - **total_count** (integer (int32)) (required): The total number of resources in a collection. - **limit** (integer (int32)) (required): The number of items that are retrieved in a collection. - **offset** (integer (int32)) (required): The number of items that are skipped in a collection. - **first** (object) (required): A URL that points to the first page in a collection. - **href** (string (url)) (required): A URL that points to a page in a collection - **next** (object): A URL that points to the next page in a collection. - **href** (string (url)) (required): A URL that points to a page in a collection - **previous** (object): A URL that points to the previous page in a collection. - **href** (string (url)) (required): A URL that points to a page in a collection - **last** (object) (required): A URL that points to the last page in a collection. - **href** (string (url)) (required): A URL that points to a page in a collection - **configurations** (array (ConfigurationMetadata)) (required): A collection of configuration metadata. Array items: - **config_type** (string (public_cert_configuration_dns_cloud_internet_services|public_cert_configuration_dns_classic_infrastructure|public_cert_configuration_ca_lets_encrypt|private_cert_configuration_root_ca|private_cert_configuration_intermediate_ca|private_cert_configuration_template|iam_credentials_configuration|custom_credentials_configuration)) (required): The configuration type. Can be one of: iam_credentials_configuration, public_cert_configuration_ca_lets_encrypt, public_cert_configuration_dns_classic_infrastructure, public_cert_configuration_dns_cloud_internet_services, private_cert_configuration_root_ca, private_cert_configuration_intermediate_ca, private_cert_configuration_template, custom_credentials_configuration ("public_cert_configuration_dns_cloud_internet_services"|"public_cert_configuration_dns_classic_infrastructure"|"public_cert_configuration_ca_lets_encrypt"|"private_cert_configuration_root_ca"|"private_cert_configuration_intermediate_ca"|"private_cert_configuration_template"|"iam_credentials_configuration"|"custom_credentials_configuration") - **name** (string) (required): The unique name of your configuration. (example: "my-secret-engine-config") - **secret_type** (string (arbitrary|iam_credentials|imported_cert|kv|private_cert|public_cert|service_credentials|username_password|custom_credentials)) (required): The secret type. Supported types are arbitrary, imported_cert, public_cert, private_cert, iam_credentials, service_credentials, kv, and username_password. ("arbitrary"|"iam_credentials"|"imported_cert"|"kv"|"private_cert"|"public_cert"|"service_credentials"|"username_password"|"custom_credentials") - **created_by** (string) (required): The unique identifier that is associated with the entity that created the secret. (example: "iam-ServiceId-e4a2f0a4-3c76-4bef-b1f2-fbeae11c0f21") - **created_at** (string (date-time)) (required): The date when the resource was created. The date format follows `RFC 3339`. (example: "2022-04-12T23:20:50.52Z") - **updated_at** (string (date-time)) (required): The date when a resource was modified. The date format follows `RFC 3339`. (example: "2022-04-12T23:20:50.52Z") - **disabled** (boolean): This parameter indicates whether the API key configuration is disabled. #### 400 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 401 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 402 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 403 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 404 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 500 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 502 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. #### 503 - response **ErrorCollection** - **trace** (string (identifier)): A UUID identifier. (example: "b49ad24d-81d4-5ebc-b9b9-b0937d1c84d5") - **status_code** (integer (int32)): The HTTP status code used for the response. ("300"|"400"|"401"|"402"|"403"|"404"|"409"|"410"|"422"|"500"|"501"|"502"|"503") - **errors** (array (Error)) (required): A collection of errors. Array items: - **code** (string (unauthorized|access_forbidden|internal_server_error|too_many_requests|payment_required|bad_request|bad_gateway|not_found|gone|conflict|multiple_choices|resource_create_error|resource_get_error|resource_update_error|resource_delete_error|not_implemented|precondition_failed|service_unavailable|unprocessable_entity)) (required): An error code identifier. ("unauthorized"|"access_forbidden"|"internal_server_error"|"too_many_requests"|"payment_required"|"bad_request"|"bad_gateway"|"not_found"|"gone"|"conflict"|"multiple_choices"|"resource_create_error"|"resource_get_error"|"resource_update_error"|"resource_delete_error"|"not_implemented"|"precondition_failed"|"service_unavailable"|"unprocessable_entity") - **message** (string) (required): A human-readable message that provides details about the error. - **more_info** (string): A publicly-accessible URL where information about the error can be read in a web browser. ### Example Usage ```bash curl -X GET "https://{instance_id}.{region}.secrets-manager.appdomain.cloud/api/v2/configurations?offset=0&limit=200&sort=string&search=string&secret_types=item1,item2" ``` ```